Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  trait CompilationUnits extends AnyRef
  Definition Classes
    nsc
- CompilationUnit
- NoCompilationUnit

o

scala.tools.nsc.CompilationUnits

# NoCompilationUnit

###

#### object NoCompilationUnit extends Global.CompilationUnit

An object representing a missing compilation unit.

Source
  CompilationUnits.scala

Linear Supertypes
Global.CompilationUnit, Global.CompilationUnitContextApi, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NoCompilationUnit
2. CompilationUnit
3. CompilationUnitContextApi
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  object synthetics

   Synthetic definitions generated by namer, eliminated by typer.

   Synthetic definitions generated by namer, eliminated by typer.

   Definition Classes
     CompilationUnit
2.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
3.  final def ##: Int
   Definition Classes
     AnyRef → Any
4.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  var body: Global.Tree

   the content of the compilation unit in tree form

   the content of the compilation unit in tree form

   Definition Classes
     CompilationUnit → CompilationUnitContextApi
7.  var checkedFeatures: Set[Global.Symbol]

   The features that were already checked for this unit

   The features that were already checked for this unit

   Definition Classes
     CompilationUnit
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  def encounteredXml(pos: Global.Position): Unit

   Record that we encountered XML.

   Record that we encountered XML. Should only be called once.

   Attributes
     protected[nsc]
   Definition Classes
     CompilationUnit
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def exists: Boolean
    Definition Classes
      NoCompilationUnit → CompilationUnit
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  def firstXmlPos: Global.Position

    Position of first XML literal in this unit.

    Position of first XML literal in this unit.

    Definition Classes
      CompilationUnit
15.  implicit val fresh: FreshNameCreator

    the fresh name creator

    the fresh name creator

    Definition Classes
      CompilationUnit
16.  def freshTermName(prefix: String = nme.FRESH_TERM_NAME_PREFIX): Global.TermName
    Definition Classes
      CompilationUnit
17.  def freshTypeName(prefix: String): Global.TypeName
    Definition Classes
      CompilationUnit
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hasXml: Boolean

    Does this unit contain XML?

    Does this unit contain XML?

    Definition Classes
      CompilationUnit
20.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  val icode: LinkedHashSet[IClass]

    For sbt compatibility (https://github.com/scala/scala/pull/4588)

    For sbt compatibility (https://github.com/scala/scala/pull/4588)

    Definition Classes
      CompilationUnit
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  val isJava: Boolean
    Definition Classes
      NoCompilationUnit → CompilationUnit
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  def position(pos: Int): Position
    Definition Classes
      CompilationUnit
28.  def registerDependency(symbol: Global.Symbol): Unit
    Definition Classes
      CompilationUnit
29.  val source: SourceFile
    Definition Classes
      CompilationUnit → CompilationUnitContextApi
30.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
31.  def targetPos: Global.Position

    The position of a targeted type check If this is different from NoPosition, the type checking will stop once a tree that contains this position range is fully attributed.

    The position of a targeted type check If this is different from NoPosition, the type checking will stop once a tree that contains this position range is fully attributed.

    Definition Classes
      CompilationUnit
32.  val toCheck: ListBuffer[() => Unit]

    things to check at end of compilation unit

    things to check at end of compilation unit

    Definition Classes
      CompilationUnit
33.  def toString(): String
    Definition Classes
      NoCompilationUnit → CompilationUnit → AnyRef → Any
34.  val transformed: AnyRefMap[Global.Tree, Global.Tree]
    Definition Classes
      CompilationUnit
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def defined: HashSet[Global.Symbol]
   Definition Classes
     CompilationUnit
   Annotations
     @deprecated
   Deprecated

     (Since version 2.12.9) Not supported

2.  def depends: HashSet[Global.Symbol]
   Definition Classes
     CompilationUnit
   Annotations
     @deprecated
   Deprecated

     (Since version 2.12.9) Not supported and no longer used by Zinc

### Inherited from Global.CompilationUnit

### Inherited from Global.CompilationUnitContextApi

### Inherited from AnyRef

### Inherited from Any

### Ungrouped